@import url('https://fonts.googleapis.com/css2?family=Bungee&family=Bungee+Shade&family=Rajdhani:wght@400;500;600;700&family=Roboto&family=Roboto+Mono&display=swap');

body {
  font-family: 'Roboto Mono', monospace;
}

.mainview-container {
  width: 100%;
  display: flex;
  justify-content: center;
  background-color: white;
  position: relative;
}

.webgl-canvas {
  width: 100vw;
  height: 100vh;
}

.project-info-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  max-width: 40rem;
}

.project-info-container h1,
h2,
h3 {
  align-self: flex-start;
  font-weight: 800;
}

.project-info-container h2 {
  align-self: center;
  margin-top: 3rem;
}

.project-info-container h2 {
  border: 1px solid black;
  padding: 10px;
  border-radius: 5px;
}

.project-info-container p,
h3 {
  font-size: 1.35rem;
}

.return-button-holder {
  text-align: right;
  pointer-events: all;
  cursor: pointer;
  position: fixed;
  bottom: 5%;
  right: 5%;
}

.fade-in {
  animation: fadeIn 400ms ease-in;
}

.fade-out {
  animation: fadeOut 400ms ease-in;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.btn {
  width: 160px;
  height: 3rem;
  line-height: 2.5rem;
  text-align: center;
  font-size: 2rem;
  border-radius: 5px;
  text-decoration: none;
  position: relative;
  transition: all 0.5s;
  overflow: hidden;
  cursor: pointer;
}

.btn span {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: transparent;
  border: 2px solid black;
  border-radius: 5px;
  z-index: -1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn span::before {
  content: '';
  position: absolute;
  width: 3%;
  height: 600%;
  background-color: white;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-70deg);
  z-index: -2;
  transition: all 0.5s;
}

.btn:hover span::before {
  transform: translate(-50%, -50%) rotate(70deg);
  width: 100%;
  background-color: black;
}

.btn:hover {
  color: white;
}

.about-container {
  display: flex;
  width: 100vw;
  min-height: 100vh;
  padding: 10px 0;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.about-content-container {
  width: 100%;
  max-width: 700px;
  display: flex;
  flex-direction: column;
  padding: 0 10px;
}

.about-links img {
  width: 1.5rem;
  height: auto;
  margin: 0;
}

.about-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.about-header span {
  font-weight: bold;
}

.about-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.about-footer span {
  font-weight: bold;
}

.about-text {
  font-size: 1.55rem;
}
